/*
 * @(#) $Id:  $
 *
 * Copyright 2009/2010 by sIT Solutions,
 * A-1110 Wien, Geiselbergstr.21-25.
 * All rights reserved.
 *
 */
package org.openxma.dsl.platform.hibernate.type;

import org.hibernate.dialect.Dialect;
import org.hibernate.type.YesNoType;

/**
 * <tt>Ja_Nein</tt>: A type that maps an SQL CHAR(1) to a Java Boolean.
 * @author s4162
 */
public class JaNeinType extends YesNoType{

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    public String getName() { return "Ja_Nein"; }
    
    @Override
    public String objectToSQLString(Boolean value, Dialect dialect) throws Exception {     
        return value == null?"": value.booleanValue()?"J":"N";
    }

}