/*******************************************************************************
 * Copyright (c) 2010 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/
package org.openxma.dsl.platform.query.impl;

import org.openxma.dsl.platform.query.Expression;
import org.openxma.dsl.platform.query.ExpressionOperator;
import org.openxma.dsl.platform.query.QueryContext;

/**
 * A specification for sortorders.
 */
public class SortOrderExpression extends UnaryExpression {

    public SortOrderExpression(Expression expression, ExpressionOperator operator) {
        super(expression, operator);
    }

    private static final long serialVersionUID = 1L;

    @Override
    public Object evaluate(QueryContext queryContext) {
        return queryContext.accept(this);
    }

}
